## org.aspectj.weaver.tools
Interface JoinPointMatch

    public interface JoinPointMatch

Author:
  colyer The result of asking a ShadowMatch to match at a given join point.

Method Summary
`PointcutParameter[]` `getParameterBindings()` Get the parameter bindings at the matched join point.
`boolean` `matches()` True if the pointcut expression has matched at this join point, and false otherwise

Method Detail

### matches

    boolean matches()

  True if the pointcut expression has matched at this join point, and false otherwise

### getParameterBindings

    PointcutParameter[] getParameterBindings()

  Get the parameter bindings at the matched join point. If the join point was not matched an empty array is returned.